import { trigger, style, transition, animate, query } from '@angular/animations';

export const growShrinkAnimation = trigger('growShrink', [
  transition(':leave', [style({ opacity: 1, height: '*' }), animate('.3s ease-in', style({ opacity: 0, height: '0px' }))]),
  transition(':enter', [style({ opacity: 0, height: '0px' }), animate('.3s ease-out', style({ opacity: 1, height: '*' }))]),
]);
